#ifdef ABILITY_OP
ABILITY_ATTACK(0, slot0)
ABILITY_OP(1, slot1)
ABILITY_OP(2, slot2)
ABILITY_OP(3, slot3)
ABILITY_OP(4, slot4)
ABILITY_OP(5, slot5)
ABILITY_OP(6, slot6)
ABILITY_OP(7, slot7)
ABILITY_OP(8, slot8)
#undef ABILITY_OP
#endif
#ifdef ABILITY_KEYBINDING_OP
ABILITY_KEYBINDING_OP("Attack", 0)
ABILITY_KEYBINDING_OP("CastAbility1",1)
ABILITY_KEYBINDING_OP("CastAbility2", 2)
ABILITY_KEYBINDING_OP("CastAbility3", 3)
ABILITY_KEYBINDING_OP("CastAbility4", 4)
ABILITY_KEYBINDING_OP("CastAbility5", 5)
ABILITY_KEYBINDING_OP("CastAbility6", 6)
ABILITY_KEYBINDING_OP("CastAbility7", 7)
ABILITY_KEYBINDING_OP("CastAbility8", 8)
#undef ABILITY_KEYBINDING_OP
#endif